io.vertx.redis.op

## Enum GeoUnit

- java.lang.Object
- - java.lang.Enum<GeoUnit>
  - - io.vertx.redis.op.GeoUnit

- All Implemented Interfaces:
    Serializable, Comparable<GeoUnit>

      public enum GeoUnit
      extends Enum<GeoUnit>

  GeoUnit represents a geo spatial unit it covers both the metric and imperial systems.
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ft` Feet
    `km` Kilometer
    `m` Meter
    `mi` Mile

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GeoUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### m

          public static final GeoUnit m

      Meter

    - #### km

          public static final GeoUnit km

      Kilometer

    - #### mi

          public static final GeoUnit mi

      Mile

    - #### ft

          public static final GeoUnit ft

      Feet

  - ### Method Detail

    - #### values

          public static GeoUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeoUnit c : GeoUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeoUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 Eclipse. All rights reserved.